Package weka.gui.visualize

# Class VisualizeUtils

java.lang.Object
weka.gui.visualize.VisualizeUtils

public class VisualizeUtils extends Object
This class contains utility routines for visualization

Version:
  $Revision: 7059 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`VisualizeUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Color`
`processColour(String colourDef, Color defaultColour)`
Parses a string containing either a named colour or r,g,b values.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VisualizeUtils

public VisualizeUtils()

## Method Details

### processColour

public static Color processColour(String colourDef, Color defaultColour)
Parses a string containing either a named colour or r,g,b values.

Parameters:
  `colourDef` - the string containing the named colour (or r,g,b)
  `defaultColour` - the colour to return if parsing fails
Returns:
  the Color corresponding to the string.